## This script combines several smaller scripts used in the manuscript titled "Does plumage reflectance signal dominance in FSJ juveniles?"

#### Binomial Tests 2009-2011

#dominance and UV chroma = n.s.
binom.test(53, 117, (1/2), alternative="greater")
binom.test(53, 117, (1/2))

#dominance and brightness = n.s.
binom.test(52, 117, (1/2), alternative="greater")
binom.test(52, 117, (1/2))

#dominance and hue = n.s.
binom.test(58, 115, (1/2), alternative="greater")
binom.test(58, 115, (1/2))

#sex and dominance****significant************ p = 0.02219
binom.test(32, 49, (1/2), alternative="greater")

#sex and UV****significant************************ p = 0.04919
binom.test(33, 53, (1/2), alternative="greater")

#sex and bright***significant two-tailed p = 0.01266
binom.test(17, 53, (1/2), alternative="greater")
binom.test(17, 53, (1/2), alternative="less")
binom.test(17, 53, (1/2))

#sex and hue
binom.test(31, 52, (1/2), alternative="greater")


##binomial tests for same sex dyads 2009-2011
#brightness n.s
binom.test(35, 60, (1/2), alternative="greater")
binom.test(39, 67, (1/2), alternative="greater")
#UV n.s
binom.test(27, 60, (1/2), alternative="greater")
binom.test(26, 67, (1/2), alternative="greater")
#Hue = n.s.
binom.test(28, 60, (1/2), alternative="greater")
binom.test(28, 66, (1/2), alternative="greater")

##binomial tests for male-male dyads 2009-2011
#brightness n.s
binom.test(15, 27, (1/2), alternative="greater")

#UV n.s
binom.test(13, 26, (1/2), alternative="greater")

#Hue = n.s.
binom.test(12, 27, (1/2), alternative="greater")


##binomial tests for female-female dyads 2009-2011
#brightness 
binom.test(25, 41, (1/2), alternative="greater")

#UV
binom.test(13, 41, (1/2), alternative="greater")
binom.test(13, 41, (1/2), alternative="less") ##p=0.014

#Hue = n.s.
binom.test(16, 40, (1/2), alternative="greater")

##Initiating interations and winning them
binom.test(28, 43, (1/2), alternative="greater")
binom.test(32, 43, (1/2), alternative="greater")

data <- read.table("SeriesInitiation.txt", header=T)
attach(data)
names(data)

model1 <- lm(Diff ~ DomInant)
anova(model1)

split_diff <- split(Diff, DomInant)

t.test(InitPropWon, TotalPropWon, alternative = "greater",paired=T)


##Do subordinates win a higher prop of interactions in series they #initiate than they do overall?
split_init <- split(InitPropWon, DomInant)
split_total <- split(TotalPropWon, DomInant)

t.test(split_init$N, split_total$N, alternative = "greater",paired=T)

##Yes t = 3.7159, p = .0024

##How do the experimental marker treatments affect plumage color?
data <- read.table("MarkerManipulations_forR.txt", header =T)
attach(data)
names(data)
factor(Treatment)

model_MB <- lm(MB_Diff ~ Treatment)
anova(model_MB)
plot(MB_Diff ~ Treatment)

model_UV <- lm(UV_Diff ~ Treatment)
anova(model_UV)
plot(UV_Diff ~ Treatment)

model_Hue <- lm(Hue_Diff ~ Treatment)
anova(model_Hue)
plot(Hue_Diff ~ Treatment)

contrastmatrix <- cbind(c(-1,-1,2), c(-1,1,0))
contrastmatrix
contrasts(Treatment) <- contrastmatrix

lm.out <- lm (MB_Diff ~ Treatment, data=data)
anova(lm.out)
summary(lm.out)

lm.out <- lm (UV_Diff ~ Treatment, data=data)
anova(lm.out)
summary(lm.out)

lm.out <- lm (Hue_Diff ~ Treatment, data=data)
anova(lm.out)
summary(lm.out)

##Calc mean and SE for Treatment groups
splitMB <- split(MeanBright, Treatment)
splitMB

MBmean_C <- mean(splitMB$C, na.rm=TRUE)
MBmean_SC <- mean(splitMB$S, na.rm=TRUE)
MBmean_R <- mean(splitMB$R, na.rm=TRUE)

MBmean_C
MBmean_SC
MBmean_R

MBse_C <- sd(splitMB$C, na.rm=TRUE)/sqrt(12)
MBse_SC <- sd(splitMB$S, na.rm=TRUE)/sqrt(12)
MBse_R <- sd(splitMB$R, na.rm=TRUE)/sqrt(9)

MBse_C
MBse_SC
MBse_R

splitUV <- split(UV_Chroma, Treatment)
splitUV

UVmean_C <- mean(splitUV$C, na.rm=TRUE)
UVmean_SC <- mean(splitUV$S, na.rm=TRUE)
UVmean_R <- mean(splitUV$R, na.rm=TRUE)

UVmean_C
UVmean_SC
UVmean_R

UVse_C <- sd(splitUV$C, na.rm=TRUE)/sqrt(12)
UVse_SC <- sd(splitUV$S, na.rm=TRUE)/sqrt(12)
UVse_R <- sd(splitUV$R, na.rm=TRUE)/sqrt(9)

UVse_C
UVse_SC
UVse_R

##Experimental Data

##This data includes all territories from 2009-2011 except FENC WARY and NXRD . FENC and WARY had fewer than 1 interaction in either pre or post period and NXRD bird was observed injured. 2011 exclusions ~ BUBO, EBAY, MERL no int in post obs For groups with more than 2 juveniles the dyad that included the most dominant bird and had the most number of interactions was choosen.

data <- read.table("DomExpt_09-11color&sex.txt", header =T)
attach(data)
names(data)
factor(Terr)
factor(Year)
factor(Trtmt)

##year effects?
model1 <- lm(Delta ~ Year + Trtmt + Sex + Count + cond_diff)
anova(model1)

##Group size differs btwn yrs
modela <- lm(Count ~ Year)
anova(modela)


modelb <- lm(cond_diff ~ Year)
anova(modelb)
modelc <- lm(cond_diff ~ Year + Count)
anova(modelc)

##Nope, count and sex n.s.too, so drop them both from model
model2 <- lm(Delta ~ Trtmt + Year + Sex)
anova(model2)

##Does color diff by year?
mb_by_yr <- lm(MeanBright ~ Year)
anova(mb_by_yr)

plot(Delta ~ Trtmt)
##Two outliers are CATB and FENC

##Test a priori hypotheses about treatment and controls
###First that the treatment differs from sham and control
###Second that sham and control do not differ
contrastmatrix <- cbind(c(-1,-1,2), c(-1,1,0))
contrastmatrix
contrasts(Trtmt) <- contrastmatrix

lm.out <- lm (Delta ~ Trtmt, data=data)
anova(lm.out)
summary(lm.out)

## Calculate Mean and SE for Trtmt Groups to use in SigmaPlot
splitDelta <- split(Delta, Trtmt)
splitDelta

mean_C <- mean(splitDelta$C, na.rm=TRUE)
mean_SHAM <- mean(splitDelta$SHAM, na.rm=TRUE)
mean_UVR <- mean(splitDelta$UVR, na.rm=TRUE)

sd_C <- sd(splitDelta$C, na.rm=TRUE)
sd_SHAM <- sd(splitDelta$SHAM, na.rm=TRUE)
sd_UVR <- sd(splitDelta$UVR, na.rm=TRUE)

se_C <- sd_C/sqrt(11)
se_SHAM <- sd_SHAM/sqrt(13)
se_UVR <- sd_UVR/sqrt(14)

mean_C
mean_SHAM
mean_UVR

se_C
se_SHAM
se_UVR



## Does prop int won of UVR birds differ before and after manipulation?
split_Pre <- split(Pre_ProbWin, Trtmt)
split_Post <- split(Post_ProbWin, Trtmt)
UVR_diffs <- t.test(split_Post$UVR, split_Pre$UVR, "less", paired=T)
UVR_diffs

##Check for preexistings diffs, but only use birds we analyzed in expt
detach(data)
data <- read.table("DomExpt_09-11preexistdiffs.txt", header =T)
attach(data)
names(data)

##Do treatment groups have preexisting differences in 
#dominance
modeld <- lm(Pre_ProbWin ~ Trtmt)
anova(modeld)

#mean brightness
model_mb <- lm(MeanBright ~ Trtmt)
anova(model_mb)

#UV chroma
model_UV <- lm(UVchroma ~ Trtmt)
anova(model_UV)

#Hue
model_hue <- lm(Hue ~ Trtmt)
anova(model_hue)

##Condition diff 
model_cond <- lm(cond_diff ~ Trtmt)
anova(model_cond)

####data with sex
model3 <- lm(Delta ~ Trtmt + Sex + Sex*Trtmt)
anova(model3)

plot(Delta ~ Trtmt)
plot(Trtmt:Sex, Delta)
interaction.plot(Trtmt, Sex, Delta)

splitDelta_trtmt <- split(Delta, Trtmt)
splitDelta_trtmt

mean_C <- mean(splitDelta$C)
mean_SHAM <- mean(splitDelta$SHAM)
mean_UVR <- mean(splitDelta$UVR)

sd_C <- sd(splitDelta$C)
sd_SHAM <- sd(splitDelta$SHAM)
sd_UVR <- sd(splitDelta$UVR)

se_C <- sd_C/sqrt(6)
se_SHAM <- sd_SHAM/sqrt(8)
se_UVR <- sd_UVR/sqrt(8)

mean_C
mean_SHAM
mean_UVR

se_C
se_SHAM
se_UVR



##data for same sex groups only
detach(data)
data2 <- read.table("DomExpt_09-11_samesex.txt", header =T)
attach(data2)
names(data2)
factor(Terr)
factor(Year)
factor(Treatment)
factor(Sex)

model4 <- lm(Delta ~ Treatment)
anova(model4)

model5 <- lm(Delta ~ Treatment + Sex)
anova(model5)

plot(Delta ~ Treatment)
plot(Treatment:Sex, Delta)
interaction.plot(Treatment, Sex, Delta)

## Calc mean and se for sigmaplot
splitDelta_trtmt <- split(Delta, Treatment)
splitDelta_trtmt

mean_C <- mean(splitDelta_trtmt$C, na.rm=TRUE)
mean_SHAM <- mean(splitDelta_trtmt$SHAM, na.rm=TRUE)
mean_UVR <- mean(splitDelta_trtmt$UVR, na.rm=TRUE)

mean_C
mean_SHAM
mean_UVR

sd_C <- sd(splitDelta_trtmt$C, na.rm=TRUE)
sd_SHAM <- sd(splitDelta_trtmt$SHAM, na.rm=TRUE)
sd_UVR <- sd(splitDelta_trtmt$UVR, na.rm=TRUE)

se_C <- sd_C/sqrt(9)
se_SHAM <- sd_SHAM/sqrt(6)
se_UVR <- sd_UVR/sqrt(7)

se_C
se_SHAM
se_UVR

